OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.KHR.DebugCore

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetKHRDebug :: MonadIO m => m Bool
- gl_KHR_debug :: Bool
- pattern GL_BUFFER :: GLenum
- pattern GL_CONTEXT_FLAG_DEBUG_BIT :: GLbitfield
- pattern GL_DEBUG_CALLBACK_FUNCTION :: GLenum
- pattern GL_DEBUG_CALLBACK_USER_PARAM :: GLenum
- pattern GL_DEBUG_GROUP_STACK_DEPTH :: GLenum
- pattern GL_DEBUG_LOGGED_MESSAGES :: GLenum
- pattern GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH :: GLenum
- pattern GL_DEBUG_OUTPUT :: GLenum
- pattern GL_DEBUG_OUTPUT_SYNCHRONOUS :: GLenum
- pattern GL_DEBUG_SEVERITY_HIGH :: GLenum
- pattern GL_DEBUG_SEVERITY_LOW :: GLenum
- pattern GL_DEBUG_SEVERITY_MEDIUM :: GLenum
- pattern GL_DEBUG_SEVERITY_NOTIFICATION :: GLenum
- pattern GL_DEBUG_SOURCE_API :: GLenum
- pattern GL_DEBUG_SOURCE_APPLICATION :: GLenum
- pattern GL_DEBUG_SOURCE_OTHER :: GLenum
- pattern GL_DEBUG_SOURCE_SHADER_COMPILER :: GLenum
- pattern GL_DEBUG_SOURCE_THIRD_PARTY :: GLenum
- pattern GL_DEBUG_SOURCE_WINDOW_SYSTEM :: GLenum
- pattern GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR :: GLenum
- pattern GL_DEBUG_TYPE_ERROR :: GLenum
- pattern GL_DEBUG_TYPE_MARKER :: GLenum
- pattern GL_DEBUG_TYPE_OTHER :: GLenum
- pattern GL_DEBUG_TYPE_PERFORMANCE :: GLenum
- pattern GL_DEBUG_TYPE_POP_GROUP :: GLenum
- pattern GL_DEBUG_TYPE_PORTABILITY :: GLenum
- pattern GL_DEBUG_TYPE_PUSH_GROUP :: GLenum
- pattern GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR :: GLenum
- pattern GL_MAX_DEBUG_GROUP_STACK_DEPTH :: GLenum
- pattern GL_MAX_DEBUG_LOGGED_MESSAGES :: GLenum
- pattern GL_MAX_DEBUG_MESSAGE_LENGTH :: GLenum
- pattern GL_MAX_LABEL_LENGTH :: GLenum
- pattern GL_PROGRAM :: GLenum
- pattern GL_PROGRAM_PIPELINE :: GLenum
- pattern GL_QUERY :: GLenum
- pattern GL_SAMPLER :: GLenum
- pattern GL_SHADER :: GLenum
- pattern GL_STACK_OVERFLOW :: GLenum
- pattern GL_STACK_UNDERFLOW :: GLenum
- pattern GL_VERTEX_ARRAY :: GLenum
- glDebugMessageCallback :: MonadIO m => GLDEBUGPROC -> Ptr a -> m ()
- glDebugMessageControl :: MonadIO m => GLenum -> GLenum -> GLenum -> GLsizei -> Ptr GLuint -> GLboolean -> m ()
- glDebugMessageInsert :: MonadIO m => GLenum -> GLenum -> GLuint -> GLenum -> GLsizei -> Ptr GLchar -> m ()
- glGetDebugMessageLog :: MonadIO m => GLuint -> GLsizei -> Ptr GLenum -> Ptr GLenum -> Ptr GLuint -> Ptr GLenum -> Ptr GLsizei -> Ptr GLchar -> m GLuint
- glGetObjectLabel :: MonadIO m => GLenum -> GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLchar -> m ()
- glGetObjectPtrLabel :: MonadIO m => Ptr a -> GLsizei -> Ptr GLsizei -> Ptr GLchar -> m ()
- glGetPointerv :: MonadIO m => GLenum -> Ptr (Ptr a) -> m ()
- glObjectLabel :: MonadIO m => GLenum -> GLuint -> GLsizei -> Ptr GLchar -> m ()
- glObjectPtrLabel :: MonadIO m => Ptr a -> GLsizei -> Ptr GLchar -> m ()
- glPopDebugGroup :: MonadIO m => m ()
- glPushDebugGroup :: MonadIO m => GLenum -> GLuint -> GLsizei -> Ptr GLchar -> m ()

# Extension Support

glGetKHRDebug :: MonadIO m => m Bool Source #

Is the KHR_debug extension supported?

gl_KHR_debug :: Bool Source #

Is the KHR_debug extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetKHRDebug` in those cases instead.

# Enums

pattern GL_BUFFER :: GLenum Source #

pattern GL_CONTEXT_FLAG_DEBUG_BIT :: GLbitfield Source #

pattern GL_DEBUG_CALLBACK_FUNCTION :: GLenum Source #

pattern GL_DEBUG_CALLBACK_USER_PARAM :: GLenum Source #

pattern GL_DEBUG_GROUP_STACK_DEPTH :: GLenum Source #

pattern GL_DEBUG_LOGGED_MESSAGES :: GLenum Source #

pattern GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH :: GLenum Source #

pattern GL_DEBUG_OUTPUT :: GLenum Source #

pattern GL_DEBUG_OUTPUT_SYNCHRONOUS :: GLenum Source #

pattern GL_DEBUG_SEVERITY_HIGH :: GLenum Source #

pattern GL_DEBUG_SEVERITY_LOW :: GLenum Source #

pattern GL_DEBUG_SEVERITY_MEDIUM :: GLenum Source #

pattern GL_DEBUG_SEVERITY_NOTIFICATION :: GLenum Source #

pattern GL_DEBUG_SOURCE_API :: GLenum Source #

pattern GL_DEBUG_SOURCE_APPLICATION :: GLenum Source #

pattern GL_DEBUG_SOURCE_OTHER :: GLenum Source #

pattern GL_DEBUG_SOURCE_SHADER_COMPILER :: GLenum Source #

pattern GL_DEBUG_SOURCE_THIRD_PARTY :: GLenum Source #

pattern GL_DEBUG_SOURCE_WINDOW_SYSTEM :: GLenum Source #

pattern GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR :: GLenum Source #

pattern GL_DEBUG_TYPE_ERROR :: GLenum Source #

pattern GL_DEBUG_TYPE_MARKER :: GLenum Source #

pattern GL_DEBUG_TYPE_OTHER :: GLenum Source #

pattern GL_DEBUG_TYPE_PERFORMANCE :: GLenum Source #

pattern GL_DEBUG_TYPE_POP_GROUP :: GLenum Source #

pattern GL_DEBUG_TYPE_PORTABILITY :: GLenum Source #

pattern GL_DEBUG_TYPE_PUSH_GROUP :: GLenum Source #

pattern GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR :: GLenum Source #

pattern GL_MAX_DEBUG_GROUP_STACK_DEPTH :: GLenum Source #

pattern GL_MAX_DEBUG_LOGGED_MESSAGES :: GLenum Source #

pattern GL_MAX_DEBUG_MESSAGE_LENGTH :: GLenum Source #

pattern GL_MAX_LABEL_LENGTH :: GLenum Source #

pattern GL_PROGRAM :: GLenum Source #

pattern GL_PROGRAM_PIPELINE :: GLenum Source #

pattern GL_QUERY :: GLenum Source #

pattern GL_SAMPLER :: GLenum Source #

pattern GL_SHADER :: GLenum Source #

pattern GL_STACK_OVERFLOW :: GLenum Source #

pattern GL_STACK_UNDERFLOW :: GLenum Source #

pattern GL_VERTEX_ARRAY :: GLenum Source #

# Functions

glDebugMessageCallback Source #

Arguments

:: MonadIO m |
=> GLDEBUGPROC | `callback`.
-> Ptr a | `userParam`.
-> m () |

Manual page for OpenGL 4.x.

glDebugMessageControl Source #

Arguments

:: MonadIO m |
=> GLenum | `source` of type DebugSource.
-> GLenum | `type` of type DebugType.
-> GLenum | `severity` of type DebugSeverity.
-> GLsizei | `count`.
-> Ptr GLuint | `ids` pointing to `count` elements of type `GLuint`.
-> GLboolean | `enabled` of type Boolean.
-> m () |

Manual page for OpenGL 4.x.

glDebugMessageInsert Source #

Arguments

:: MonadIO m |
=> GLenum | `source` of type DebugSource.
-> GLenum | `type` of type DebugType.
-> GLuint | `id`.
-> GLenum | `severity` of type DebugSeverity.
-> GLsizei | `length`.
-> Ptr GLchar | `buf` pointing to `COMPSIZE(buf,length)` elements of type `GLchar`.
-> m () |

Manual page for OpenGL 4.x.

glGetDebugMessageLog Source #

Arguments

:: MonadIO m |
=> GLuint | `count`.
-> GLsizei | `bufSize`.
-> Ptr GLenum | `sources` pointing to `count` elements of type DebugSource.
-> Ptr GLenum | `types` pointing to `count` elements of type DebugType.
-> Ptr GLuint | `ids` pointing to `count` elements of type `GLuint`.
-> Ptr GLenum | `severities` pointing to `count` elements of type DebugSeverity.
-> Ptr GLsizei | `lengths` pointing to `count` elements of type `GLsizei`.
-> Ptr GLchar | `messageLog` pointing to `bufSize` elements of type `GLchar`.
-> m GLuint |

Manual page for OpenGL 4.x.

glGetObjectLabel Source #

Arguments

:: MonadIO m |
=> GLenum | `identifier` of type ObjectIdentifier.
-> GLuint | `name`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLchar | `label` pointing to `bufSize` elements of type `GLchar`.
-> m () |

Manual page for OpenGL 4.x.

glGetObjectPtrLabel Source #

Arguments

:: MonadIO m |
=> Ptr a | `ptr`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLchar | `label` pointing to `bufSize` elements of type `GLchar`.
-> m () |

Manual page for OpenGL 4.x.

glGetPointerv Source #

Arguments

:: MonadIO m |
=> GLenum | `pname` of type GetPointervPName.
-> Ptr (Ptr a) | `params` pointing to `1` element of type `Ptr a`.
-> m () |

Manual pages for OpenGL 2.x or OpenGL 4.x.

glObjectLabel Source #

Arguments

:: MonadIO m |
=> GLenum | `identifier` of type ObjectIdentifier.
-> GLuint | `name`.
-> GLsizei | `length`.
-> Ptr GLchar | `label` pointing to `COMPSIZE(label,length)` elements of type `GLchar`.
-> m () |

Manual page for OpenGL 4.x.

glObjectPtrLabel Source #

Arguments

:: MonadIO m |
=> Ptr a | `ptr`.
-> GLsizei | `length`.
-> Ptr GLchar | `label` pointing to `COMPSIZE(label,length)` elements of type `GLchar`.
-> m () |

Manual page for OpenGL 4.x.

glPopDebugGroup :: MonadIO m => m () Source #

Manual page for OpenGL 4.x.

glPushDebugGroup Source #

Arguments

:: MonadIO m |
=> GLenum | `source` of type DebugSource.
-> GLuint | `id`.
-> GLsizei | `length`.
-> Ptr GLchar | `message` pointing to `COMPSIZE(message,length)` elements of type `GLchar`.
-> m () |

Manual page for OpenGL 4.x.